<?php

class Page extends Module
{
  var $TimeStart;

  function SystemMessage($Title, $Text)
  { 
    return('<table align="center"><tr><td><div class="SystemMessage"><h3>'.$Title.'</h3><div>'.$Text.'</div></div</td></tr></table>');
    //ShowFooter();
    //die();
  }

  function ShowHeader($Title, $Path)
  {    
    $BodyParam = '';
    if(isset($this->Load)) $BodyParam .= ' onload="'.$this->Load.'"';
    if(isset($this->Unload)) $BodyParam .= ' onunload="'.$this->Unload.'"';
    $Output = '<?xml version="1.0" encoding="'.$this->System->Config['Web']['Charset'].'"?>'."\n".
    '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'.
    '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">'.
    '<head><link rel="stylesheet" href="'.$this->System->Config['Web']['RootFolder'].'/style.css" type="text/css" media="all" />'.
	  '<meta http-equiv="content-type" content="application/xhtml+xml; charset='.$this->System->Config['Web']['Charset'].'" />'.
    '<script type="text/javascript" src="'.$this->System->Config['Web']['RootFolder'].'/global.js"></script>'.
    '<title>'.$this->System->Config['Web']['Title'].' - '.$Path.'</title>
    </head><body'.$BodyParam.'>'.
    '<div class="Navigation"><span class="MenuItem">'.
    '<a href="?">Servery</a>'.
    ' <a href="?Action=ClientList">Verze klienta</a>';
    $Output .= '</span><div class="MenuItem2">';
    if($this->System->Modules['User']->User['Id'] == $this->System->Modules['User']->AnonymousUserId)
      $Output .= '<a href="'.$this->System->Config['Web']['RootFolder'].'/?Action=LoginForm">Přihlášení</a> <a href="'.$this->System->Config['Web']['RootFolder'].'/?Action=UserRegister">Registrace</a>'; 
      else $Output .= $this->System->Modules['User']->User['Name'].' <a href="'.$this->System->Config['Web']['RootFolder'].'/?Action=Logout">Odhlásit</a>';
    $Output .= '</div></div>';
    return($Output);
  }

  function ShowFooter()
  {
  	global $ScriptTimeStart;
    
    $Time = round(GetMicrotime() - $ScriptTimeStart, 2);
    $Output = '<div id="Footer">
   <i>| Projekt: WoW hosting | Správce: '.$this->System->Config['Web']['Admin'].' | E-mail: '.$this->System->Config['Web']['AdminEmail'].' | <a href="http://svn.zdechov.net/trac/wowhosting/browser">Zdrojové kódy</a> | <a href="http://svn.zdechov.net/trac/wowhosting/log?verbose=on">Změny</a>|';
    if($this->System->Config['Web']['ShowRuntimeInfo'] == true) $Output .= ' Doba generování: '.$Time.' s / '.ini_get('max_execution_time').' s | Použitá paměť: '.HumanSize(memory_get_peak_usage(FALSE)).' / '.ini_get('memory_limit').'B |';
	$Output .= '</i></div></body></html>';
    return($Output); 
  }

  function GetOutput()
  { 
    global $Config;
    
    $Output = $this->Show();
    $Output = $this->ShowHeader($this->FullTitle, $this->ShortTitle).$Output;
    $Output .= $this->ShowFooter();
    if($Config['Web']['FormatHTML'] == true) echo($this->FormatOutput($Output));
    else echo($Output);
  }

  // Funkce formatovani vystupu
  function FormatOutput($s)
  {
    $out = '';
    $nn = 0;
    $n = 0;
    while($s != '')
    {
      $start = strpos($s, '<');
  	  $end = strpos($s, '>');
    	if($start != 0)
    	{
	      $end = $start - 1;
	      $start = 0;
	    }
	    $line = trim(substr($s, $start, $end + 1));
	    if(strlen($line) > 0) 
	    if($line[0] == '<')
	    {
  	    if($s[$start + 1] == '/') 
	      {
  	      $n = $n - 2;
		      $nn = $n;
	      } else 
	      {
     	    if(strpos($line, ' ')) $cmd = substr($line, 1, strpos($line, ' ') - 1);
	        else $cmd = substr($line, 1, strlen($line) - 2);
          //echo('['.$cmd.']');
		      if(strpos($s, '</'.$cmd.'>')) $n = $n + 2;
	      }   
	    }// else $line = '['.$line.']';
      //if($line != '') echo(htmlspecialchars(str_repeat(' ',$nn).$line."\n"));
	    if($line != '') $out .= (str_repeat(' ', $nn).$line."\n");
	    $s = substr($s, $end + 1, strlen($s));
	    $nn = $n;
    }
    return($out);
  }
}

?>
